#!/bin/dash
# attempt to download kernel $KERNEL_VERSION from ibiblio
# and then copy it as vmlinuz/kernel-modules.sfs

### configuration
SRC_URL=http://distro.ibiblio.org/fatdog/kernels/900
#KERNEL_VERSION=3.12.9 # default is blank - use "vmlinuz"
KVER=${KERNEL_VERSION:+-$KERNEL_VERSION} # prepend dash
MICROCODE_DATE=${MICROCODE_DATE:-20240817} # overriden by build-iso.sh

### main
mkdir -p kernels
if ! [ -e kernels/vmlinuz$KVER ]; then
	wget -P kernels -c $SRC_URL/vmlinuz$KVER
	wget -P kernels -c $SRC_URL/kernel-modules.sfs$KVER
	if [ "$KVER" ]; then
		rm -f vmlinuz kernel-modules.sfs
		ln -f kernels/vmlinuz$KVER kernels/vmlinuz
		ln -f kernels/kernel-modules.sfs$KVER kernels/kernel-modules.sfs
	fi	
fi
if ! [ -e kernels/microcode-update-${MICROCODE_DATE}.cpio ]; then
	wget -N -P kernels -c $SRC_URL/microcode-update-${MICROCODE_DATE}.cpio
fi

echo vmlinuz$KVER ready.
